Bug 1379291 - [RFE] Inform user that all Puppet Class sub entities affect saving the whole puppet class
Summary: [RFE] Inform user that all Puppet Class sub entities affect saving the whole ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Smart Variables
Version: 6.3.0
Hardware: x86_64
OS: Linux
low
low vote
Target Milestone: 6.4.0
Assignee: Jitendra Yejare
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-26 09:45 UTC by Oleksandr Shtaier
Modified: 2019-11-05 23:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:26:32 UTC
Target Upstream Version:


Attachments (Terms of Use)
[Verification] Screenshot Attached (46.99 KB, image/png)
2018-08-13 08:15 UTC, Jitendra Yejare
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:27:05 UTC
Foreman Issue Tracker 19582 None None None 2017-05-18 06:54:53 UTC

Description Oleksandr Shtaier 2016-09-26 09:45:42 UTC
Description of problem:
We can create a matcher for non-existent attribute for Smart Variable as it is described in BZ 1379277. After that, error is raised for that particular entity and it cannot be edited further from UI.
In the same moment, we are not able to create or edit any other Smart Variable for that Puppet Class as we are jumped right to the problematical variable page immediately. That means that all variables will be connected to any one that has an error on its page

Version-Release number of selected component (if applicable):
6.2
6.3

How reproducible:
Always

Steps to Reproduce:
1. Have one Smart Variable with failed validation
2. Try to create or edit any variable from the same Puppet Class from Puppet Class-> Smart Variables page
3.

Actual results:
Described above

Expected results:
All entities should be independent from each other

Additional info:

Comment 2 orabin 2016-12-21 09:12:31 UTC
Does this happen with any other errors or just the one from BZ 1379277?

Comment 3 Oleksandr Shtaier 2017-01-10 09:32:09 UTC
It happens with any error, but it is probably impossible to create another precondition rather than described in BZ 1379277 as we need to have invalid smart variable in advance.
For example, we can choose type 'boolean' and type string into value field for one variable and correct values for second variable. Of course, you will never be able to save second variable, no matter what, but it is not so critical as if we have invalid variable in puppet class already

Comment 4 Oleksandr Shtaier 2017-01-10 11:29:00 UTC
Basically, issue can be treated as RFE or a bug in the same aspects. Problem here is only in informing user that all Puppet Class sub entities (e.g. Smart Variables) will not be saved when you push 'Submit' button in case one of such sub entities has invalid data. It doesn't matter whether you editing existing entity, sub entity or creating new sub entities. Any triggered validation prevents you to save any changes that you made within last transaction.

Of course, as a workaround, you can go to Smart Variable interface derectly (Configure-> Smart Variable) and do whatever action you want

Comment 7 Roxanne Hoover 2017-05-15 13:51:55 UTC
It sounds like this is the appropriate use case for the inline notification (http://www.patternfly.org/pattern-library/communication/inline-notifications/) since it's a fairly critical time sensitive piece of information.

It would appear at the top of the page after validation. The messaging should alert the user to the fact that nothing on the page has been saved because of an existing error.

Comment 8 orabin 2017-05-18 06:54:50 UTC
Created redmine issue http://projects.theforeman.org/issues/19582 from this bug

Comment 9 pm-sat@redhat.com 2017-05-18 08:06:11 UTC
Upstream bug assigned to orabin@redhat.com

Comment 10 pm-sat@redhat.com 2017-05-18 08:06:15 UTC
Upstream bug assigned to orabin@redhat.com

Comment 11 pm-sat@redhat.com 2017-06-05 14:06:16 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19582 has been resolved.

Comment 15 Jitendra Yejare 2018-08-13 08:15:53 UTC
Created attachment 1475494 [details]
[Verification] Screenshot Attached

Verified!

@ Satellite 6.4 snap 17

Steps:
1. Go to Puppet Class -> Smart Variables.
2. Create one invalid smart variable but don't submit.
3. Create another smart variable but the valid one.
4. Now submit.


Observation:

1. Both smart variables are not saved as one of the smart variable is invalid.

Comment 17 errata-xmlrpc 2018-10-16 15:26:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.